cancel
Showing results for 
Search instead for 
Did you mean: 

Requirements for BOXI 4.2 SP7 to use TLSv1.2

0 Kudos

Hi

We are having issues with Business Objects 4.2 SP7 when trying to connect to SQL Server2016 with TLS1.2 enabled on the SQL Server.

We have tried multiple versions of the jdbc driver (BOXI installed on RHEL).

We have WebSphere and our product connecting to the same DB Server and we had to add connection information for TLS into the connection string to make it work with TLSv1.2

What do we need to do for BOXI ? I can't see where the database connection is defined.

denis_konovalov
Active Contributor
0 Kudos

Your question is confusing.

What relation does Websphere to the connection to the database you're trying to make ?
What actual issues do you have ?
What exactly and how exactly have you configured ?

Accepted Solutions (0)

Answers (1)

Answers (1)

ayman_salem
Active Contributor
0 Kudos

In the directory "......./connectionServer/jdbc" you will find the definition in the file "sqlsrv.sbo"

<Parameter Name="URL Format">jdbc:sqlserver://$DATASOURCE$;DatabaseName=$DATABASE$</Parameter>

add ;sslProtocol=TLSv1.2 to the parameter

Don't forget to restart the "connection server" after the change.

... and, as I always said, only change if you know exactly what you are doing "under your RISK"